[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TIsFormDesignFunction

Specifies a Boolean function type used to implement the routine assigned to the IsFormDesign variable.

## Declaration

Source position: forms.pp line 1960

`type TIsFormDesignFunction = function(`
`AForm: TWinControl`
`):Boolean;`

## Function result

Returns True when the form has csDesignInstance in its component state.

## Description

TIsFormDesignFunction is a Boolean function type used in the IsFormDesign variable.

## See also

IsFormDesign |  | Address of the function used to determine if a specified control is a form designer.